Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class NodeFormats

    java.lang.Object
      info.bioinfweb.treegraph.document.format.ConcreteTextFormats
          info.bioinfweb.treegraph.document.format.NodeFormats

All Implemented Interfaces:
  CornerRadiusFormats, ElementFormats, LineFormats, TextFormats, Cloneable

    public class NodeFormats

extends ConcreteTextFormats
implements ElementFormats, LineFormats, CornerRadiusFormats, Cloneable

Field Summary
`private DistanceValue` | `cornerRadius`
`private Margin` | `leafMargin`
`private Color` | `lineColor`
`private DistanceValue` | `lineWidth`

Fields inherited from interface info.bioinfweb.treegraph.document.format.LineFormats
`DEFAULT_LINE_COLOR, DEFAULT_LINE_WIDTH_IN_MM`

Fields inherited from interface info.bioinfweb.treegraph.document.format.CornerRadiusFormats
`STD_EDGE_RADIUS_IN_MM`

Fields inherited from interface info.bioinfweb.treegraph.document.format.TextFormats
`BOLD, DEFAULT_DECIMAL_FORMAT_EXPR, DEFAULT_FONT_NAME, DEFAULT_LOCALE, DEFAULT_TEXT_COLOR, DEFAULT_TEXT_HEIGHT_IN_MM, ITALIC, PLAIN, UNDERLINE`

Constructor Summary
`NodeFormats()`

Method Summary
`void` | `assign(NodeFormats other)`
`void` | `assignCornerRadiusFormats(CornerRadiusFormats other)`
`void` | `assignLineFormats(LineFormats other)`
`void` | `assignNodeFormats(NodeFormats other)`
`NodeFormats` | `clone()`
`DistanceValue` | `getCornerRadius()` The line wich is dasplayed for an node can be rounded at ist top and bottom end The inner radius (without the line width) of the quater of a circle at the ends of this line is specified by the corner radius.
`Margin` | `getLeafMargin()`
`Color` | `getLineColor()`
`DistanceValue` | `getLineWidth()`
`void` | `setLineColor(Color color)`

Methods inherited from class info.bioinfweb.treegraph.document.format.ConcreteTextFormats
`addTextStyle, assignTextFormats, getDecimalFormat, getDescent, getFont, getFontName, getLocale, getTextColor, getTextHeight, getTextStyle, hasTextStyle, removeTextStyle, setDecimalFormat, setFontName, setLocale, setTextColor, setTextStyle`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lineWidth

    private DistanceValue lineWidth

### cornerRadius

    private DistanceValue cornerRadius

### lineColor

    private Color lineColor

### leafMargin

    private Margin leafMargin

Constructor Detail

### NodeFormats

    public NodeFormats()

Method Detail

### getLineWidth

    public DistanceValue getLineWidth()

  Specified by:
    `getLineWidth` in interface `LineFormats`

### getCornerRadius

    public DistanceValue getCornerRadius()

  The line wich is dasplayed for an node can be rounded at ist top and bottom end The inner radius (without the line width) of the quater of a circle at the ends of this line is specified by the corner radius.

  Specified by:
    `getCornerRadius` in interface `CornerRadiusFormats`
  Returns:
    the corner radius for this node

### getLineColor

    public Color getLineColor()

  Specified by:
    `getLineColor` in interface `LineFormats`

### setLineColor

    public void setLineColor(Color color)

  Specified by:
    `setLineColor` in interface `LineFormats`

### getLeafMargin

    public Margin getLeafMargin()

### assignLineFormats

    public void assignLineFormats(LineFormats other)

  Specified by:
    `assignLineFormats` in interface `LineFormats`

### assignCornerRadiusFormats

    public void assignCornerRadiusFormats(CornerRadiusFormats other)

  Specified by:
    `assignCornerRadiusFormats` in interface `CornerRadiusFormats`

### assignNodeFormats

    public void assignNodeFormats(NodeFormats other)

### assign

    public void assign(NodeFormats other)

### clone

    public NodeFormats clone()

  Specified by:
    `clone` in interface `CornerRadiusFormats`
  Specified by:
    `clone` in interface `ElementFormats`
  Specified by:
    `clone` in interface `LineFormats`
  Specified by:
    `clone` in interface `TextFormats`
  Overrides:
    `clone` in class `ConcreteTextFormats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD